Package: org.codehaus.groovy.control.customizers.builder

## [Groovy] Class CompilerCustomizationBuilder

- org.codehaus.groovy.control.customizers.builder.CompilerCustomizationBuilder

- A builder which allows easy configuration of compilation customizers. Instead of creating various compilation customizers by hand, you may use this builder instead, which provides a shorter syntax and removes most of the verbosity.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompilerCustomizationBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `postNodeCompletion(Object parent, Object node)`
    `` | `static CompilerConfiguration` | `withConfig(CompilerConfiguration config, Closure code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class FactoryBuilderSupport`

    `getCurrent, getVariable, setVariable, getVariables, getParentName, registerFactory, registerFactory, registerBeanFactory, registerBeanFactory, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, autoRegisterNodes, getFactories, getExplicitMethods, getExplicitProperties, getLocalFactories, getLocalExplicitMethods, getLocalExplicitProperties, getRegistrationGroups, getRegistrationGroupItems, getAttributeDelegates, getPreInstantiateDelegates, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getMethodMissingDelegate, setMethodMissingDelegate, getPropertyMissingDelegate, setPropertyMissingDelegate, getContextAttribute, getCurrentFactory, getCurrentName, getCurrentBuilder, getParentFactory, getParentContext, getChildBuilder, addAttributeDelegate, removeAttributeDelegate, addPreInstantiateDelegate, removePreInstantiateDelegate, addPostInstantiateDelegate, removePostInstantiateDelegate, addPostNodeCompletionDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, registerExplicitMethod, registerExplicitMethod, getNameMappingClosure, setNameMappingClosure, withBuilder, withBuilder, withBuilder, addDisposalClosure, getDisposalClosures, getParentNode, getName, getProperty, setProperty, getContext, build, build, build, dispose, invokeMethod, invokeMethod, hasVariable, getMetaClass, setMetaClass, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class Binding` | `getVariable, setVariable, hasVariable, getVariables, getProperty, setProperty, invokeMethod, getMetaClass, setMetaClass, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilerCustomizationBuilder()

  - ### Method Detail

    - #### @Override protected Object postNodeCompletion(Object parent, Object node)

    - #### static CompilerConfiguration withConfig(CompilerConfiguration config, Closure code)